Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurGetLocking

Gets the locking flag used in the Krylov-Schur method.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetLocking(EPS eps,PetscBool *lock)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- lock - the locking flag

## See Also

EPS: Eigenvalue Problem Solver, `EPSKRYLOVSCHUR`, `EPSKrylovSchurSetLocking()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurGetLocking_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages